Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#6 Header Column and Row Span

open-accepted
5
2013-12-29
2009-06-12
Dipesh
No

I would like to request a new feature that allows the report header be able to span multiple rows and columns. Right now, there is only one header row. It would be nice to be able to say that the header consists of more than one row, and gives you the ability to specify the row and column span for each cell in the header. That way, you could create headers that could look like what is in the file attached for example.

The current version of DynamicJasper is 3.0.7b1, and this feature is not currently supported.

Discussion

  • Dipesh
    Dipesh
    2009-06-12

    Example of a report with header and column span

     
  • I like this feature too.... need to analyce possible complexity, schedule, etc...

     
    • milestone: --> Sometime_in_future_releases
    • assigned_to: nobody --> djmamana
    • status: open --> open-accepted
     

  • Anonymous
    2011-08-29

    I find this feature very important. It would ve nice to have it soon.

     
  • Willers
    Willers
    2013-12-29

    I saw the tutorial "HOW-TO Create colspan headers" but I think this feature is still incomplete, or at least I have not found a way to create a rowspan behavior in column header.

    Below I describe a column header with the behavior I want:

    |---------------------------------------------|
    |          |             Column B             |
    |          |----------------------------------|
    | Column A |         |        SubB 2          |
    |          | SubB 1  |------------------------|
    |          |         | SubB 2.1   |  SubB 2.1 |
    |----------|---------|------------------------|
    

    So I was wondering what do you think about this.

     
    • Sorry, will not support that. But you are free to provide an implementation
      and I'll consider adding it to main branch.

      Regards.
      Juan
      El dic 29, 2013 1:00 p.m., "Willers" paullera@users.sf.net escribió:

      I saw the tutorial "HOW-TO Create colspan headers" but I think this
      feature is still incomplete, or at least I have not found a way to create a
      rowspan behavior in column header.

      Below I describe a column header with the behavior I want:

      |---------------------------------------------|
      | | Column B |
      | |----------------------------------|
      | Column A | | SubB 2 |
      | | SubB 1 |------------------------|
      | | | SubB 2.1 | SubB 2.1 |
      |----------|---------|------------------------|

      So I was wondering what do you think about this.

      Status: open-accepted
      Labels: general (API)
      Created: Fri Jun 12, 2009 03:51 PM UTC by Dipesh
      Last Updated: Wed Jun 17, 2009 01:36 AM UTC
      Owner: Juan Manuel Alvarez

      I would like to request a new feature that allows the report header be
      able to span multiple rows and columns. Right now, there is only one header
      row. It would be nice to be able to say that the header consists of more
      than one row, and gives you the ability to specify the row and column span
      for each cell in the header. That way, you could create headers that could
      look like what is in the file attached for example.

      The current version of DynamicJasper is 3.0.7b1, and this feature is not
      currently supported.


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/dynamicjasper/feature-requests/6/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/